Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163259 - Prevent invalid channel and server group permissions
Summary: Prevent invalid channel and server group permissions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D
Version: RHN Devel
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ken Ganong
QA Contact: Michael Bowman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-14 15:30 UTC by Ken Ganong
Modified: 2007-04-18 17:29 UTC (History)
1 user (show)

Fixed In Version: RHN 4.0.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-01 02:36:38 UTC


Attachments (Terms of Use)

Description Ken Ganong 2005-07-14 15:30:08 UTC
Problem:
Someone can currently modify the POST request on the Channel Permissions and
Assigned Server Groups pages under User Details to include channels or server
groups managed by a different org and have their changes persist to the database.

Solution:
Prevent persisting of invalid data with regards to user channel permissions and
user assigned server groups.

Reproduce:
1. Login->go to Users->click a User->Channel Permissions
2. Right click and save source.
3. Modify the POST form to point to the correct domain (ex. /rhn/users ->
https://rhn.webdev.redhat.com/rhn/users)
4. Add within the form tag a cid and selectedChannel from a different org.
    ex.(    <input type="checkbox" name="selectedChannels" value="4211" />
            <input type='hidden' name="cid" value="4211" /> )
5. Browse to the page on your harddrive using a web browser.
6. Select the checkbox that shouldn't be there.
7. Click the button to submit the form.
8. See that the user's channel perms include the invalid channel:
Select * from rhnUserChannel where user_id = :uid and channel_id = :cid

For server group permissions, do the same as above with the following changes.
1. Login->go to Users->click a User->System Groups
4. <input type="checkbox" name="selectedGroups" value="4635208" />
   <input type="hidden" name="cid" value="4635208" />
8. See that the user's server group perms include the invalid group:
Select * from rhnUserManagedServerGroups where user_id = :uid and
server_group_id = :sgid

Comment 1 Michael Bowman 2005-08-01 15:16:59 UTC
These holes are fixed on QA.


Note You need to log in before you can comment on or make changes to this bug.